## org.eclipse.datatools.connectivity.oda.design
Interface AxisAttributes

    public interface AxisAttributes

Multi-dimensional attributes of a data element, such as a result set column.

The following features are supported:

- `Axis Type`
- `On Column Layout`

See Also:
  `DesignPackage.getAxisAttributes()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`AxisType` `getAxisType()` Returns the value of the 'Axis Type' attribute.
`boolean` `isOnColumnLayout()` Returns the value of the 'On Column Layout' attribute.
`boolean` `isSetAxisType()` Returns whether the value of the '`Axis Type`' attribute is set.
`boolean` `isSetOnColumnLayout()` Returns whether the value of the '`On Column Layout`' attribute is set.
`void` `setAxisType(AxisType value)` Sets the value of the '`Axis Type`' attribute.
`void` `setOnColumnLayout(boolean value)` Sets the value of the '`On Column Layout`' attribute.
`void` `unsetAxisType()` Unsets the value of the '`Axis Type`' attribute.
`void` `unsetOnColumnLayout()` Unsets the value of the '`On Column Layout`' attribute.

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getAxisType

    AxisType getAxisType()

  Returns the value of the 'Axis Type' attribute. The default value is `"Measure"`. The literals are from the enumeration `AxisType`. The axis type of the data element. This provides hints to a consumer application on how the column should be used.

  Returns:
    the value of the 'Axis Type' attribute.
  See Also:
    `AxisType`, `isSetAxisType()`, `unsetAxisType()`, `setAxisType(AxisType)`, `DesignPackage.getAxisAttributes_AxisType()`

### setAxisType

    void setAxisType(AxisType value)

  Sets the value of the '`Axis Type`' attribute.

  Parameters:
    `value` - the new value of the 'Axis Type' attribute.
  See Also:
    `AxisType`, `isSetAxisType()`, `unsetAxisType()`, `getAxisType()`

### unsetAxisType

    void unsetAxisType()

  Unsets the value of the '`Axis Type`' attribute.

  See Also:
    `isSetAxisType()`, `getAxisType()`, `setAxisType(AxisType)`

### isSetAxisType

    boolean isSetAxisType()

  Returns whether the value of the '`Axis Type`' attribute is set.

  Returns:
    whether the value of the 'Axis Type' attribute is set.
  See Also:
    `unsetAxisType()`, `getAxisType()`, `setAxisType(AxisType)`

### isOnColumnLayout

    boolean isOnColumnLayout()

  Returns the value of the 'On Column Layout' attribute. The default value is `"true"`. A hint on how the dimension data element should be layout on column or row. It is normally used by presentation element such as a crosstab to design a default layout.

  Returns:
    the value of the 'On Column Layout' attribute.
  See Also:
    `isSetOnColumnLayout()`, `unsetOnColumnLayout()`, `setOnColumnLayout(boolean)`, `DesignPackage.getAxisAttributes_OnColumnLayout()`

### setOnColumnLayout

    void setOnColumnLayout(boolean value)

  Sets the value of the '`On Column Layout`' attribute.

  Parameters:
    `value` - the new value of the 'On Column Layout' attribute.
  See Also:
    `isSetOnColumnLayout()`, `unsetOnColumnLayout()`, `isOnColumnLayout()`

### unsetOnColumnLayout

    void unsetOnColumnLayout()

  Unsets the value of the '`On Column Layout`' attribute.

  See Also:
    `isSetOnColumnLayout()`, `isOnColumnLayout()`, `setOnColumnLayout(boolean)`

### isSetOnColumnLayout

    boolean isSetOnColumnLayout()

  Returns whether the value of the '`On Column Layout`' attribute is set.

  Returns:
    whether the value of the 'On Column Layout' attribute is set.
  See Also:
    `unsetOnColumnLayout()`, `isOnColumnLayout()`, `setOnColumnLayout(boolean)`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.